<?php
/*
OekakiPoteto 5.x Copyright 2000-2002 RanmaGuy (Theo Chakkapark, http://suteki.nu) and Marcello Basta-Forte (http://marcello.cellosoft.com). Modification to the files are permitted as long as my name remains on the files.

Wax Poteto modifications Copyright Marc "Waccoon" Leveille
http://www.NineChime.com/products/
Version 5.8.3 - Last modified 3/17/2011
*/


// Load bootstrap
define ('BOOT', 1);
require ('boot.php');


// ===================================================================
// Start HTML (header)
//
include ('header.php');


// ===================================================================
// Index sorting
//
if (!empty ($artist)) {
	$sort = 6;
}
if (!empty ($a_match)) {
	$sort = 7;
	$artist = '';
}
$sql_where = '';
$sql_limit = 'LIMIT '.intval ($pageno * $cfg['pic_pages']).', '.$cfg['pic_pages'];

switch ($sort) {
	case 1:
		$sql_where = 'WHERE postlock=1 ORDER BY lastcmt DESC';
		break;
	case 2:
		$sql_where = 'WHERE postlock=1 AND animation=1 ORDER BY postdate DESC';
		break;
	case 3:
		$sql_where = 'WHERE postlock=1 AND animation=1 ORDER BY lastcmt DESC';
		break;
	case 4:
		$sql_where = 'WHERE postlock=1 AND archive=1 ORDER BY postdate DESC';
		break;
	case 5:
		$sql_where = 'WHERE postlock=1 AND archive=1 ORDER BY lastcmt DESC';
		break;
	case 6:
		$sql_where = "WHERE usrname LIKE '%{$artist}%' ORDER BY postdate DESC";
		break;
	case 7:
		$sql_where = "WHERE usrname='{$a_match}' ORDER BY postdate DESC";
		break;
	default:
		$sql_where = 'WHERE postlock=1 ORDER BY postdate DESC';
		break;
}

$result = db_query ("SELECT ID_2 FROM {$db_p}oekakidta {$sql_where}");
$pages = ceil (db_num_rows ($result) / $cfg['pic_pages']);

$result = db_query ("SELECT * FROM {$db_p}oekakidta {$sql_where} {$sql_limit}");
$rownum = db_num_rows ($result);


// ===================================================================
// CGI pass-through
// Used for commenting, functions, etc.
//
$pic_redirect = '';
if ($pageno) {
	$pic_redirect .= '&amp;pageno='.$pageno;
}
if ($sort) {
	$pic_redirect .= '&amp;sort='.$sort;
}
if ($artist) {
	$pic_redirect .= '&amp;artist='.urlencode($artist);
}


// ===================================================================
// Page numbers
// $pages_link is for page numbers only!
//
$pages_link = 'index.php?pageno={page_link}';
if ($sort != 0) {
	$pages_link .= '&amp;sort='.$sort;
}
if ($artist) {
	$pages_link .= '&amp;artist='.urlencode($artist);
}
if ($a_match) {
	$pages_link .= '&amp;a_match='.urlencode($a_match);
}

// Fourth parameter is how many digits on each side of the current page number will be printed
$page_numbers_formatted = quick_page_numbers(0, $pageno, $pages, 5, $pages_link)."\n";


// ===================================================================
// Main HTML
//
?>
<div id="contentmain">
<?php if (file_not_empty('notice.php')) { ?>
	<!-- Notice -->
	<table width="<?php echo $hWidth;?>" border="0" cellspacing="0" cellpadding="0" class="infotable" style="margin: auto;">
	<tr>
	<td align="center">
		<font size="-1">
<?php include ('notice.php'); ?>
		</font>
	</td>
	</tr>
	</table>
<?php } ?>
	<br />

	<!-- Pages -->
	<div class="infotable" style="text-align: center; margin: auto;">
		<a name="pagetop"></a>
		<?php echo $page_numbers_formatted; ?>
	</div>
	<br />

<?php



// BEGIN MAIN LOOP
{
	// Outer loop, for posts
	for ($current_post = 0; $current_post < $rownum; $current_post++) {

		// Get DB results, one row at a time
		$outerrow = db_fetch_array ($result);

?>
	<!-- Pic -->
	<table id="pic<?php echo $outerrow['PIC_ID']?>" width="<?php echo $hWidth;?>" border="0" cellspacing="0" cellpadding="3" class="infotable" style="margin: auto;">
	<tr>
	<td colspan="2" class="header">
		[<b><a href="#<?php echo $outerrow['PIC_ID']?>"><?php echo $outerrow['ID_2']?></a></b>]
<?php

		// Retouch
		if ($flags['D']) {
			if ($outerrow['usrname'] == $OekakiU || !empty ($outerrow['password'])) {
				switch ($outerrow['datatype']) {
					case '0':
						$use_app = 'noteBBS.php?';
						break;
					case '1':
						$use_app = 'oekakiBBS.php?';
						break;
					case '2':
						$use_app = 'shiBBS.php?';
						break;
					case '3':
						$use_app = 'shiBBS.php?tools=pro&amp;';
						break;
					case '4':
						$use_app = 'chibipaint.php?';
						break;
				}
//				if ($outerrow['usrname'] != $OekakiU) {
//					$use_app = 'retouch.php?';
//				}

				echo "		[<a href=\"{$use_app}edit={$outerrow['PIC_ID']}\">{$langop_word_retouch}</a>]\n";
			}
		}

		// Comment
		if ($outerrow['threadlock'] == '0' || $flags['admin']) {
			if ($cfg['guest_post'] == 'yes' || $OekakiU != '') {
				?>
		[<a href="comment.php?mode=add&amp;resno=<?php echo $outerrow['PIC_ID']?><?php echo $pic_redirect;?>"><?php echo $langop_word_comment;?></a>]
<?php
			}
		}

		// Artist & Title
?>
		<b><?php echo $langop_word_artist;?>:</b>
		<a onclick="openWindow('profile.php?user=<?php echo urlencode ($outerrow['usrname']);?>', 400, 600); return false" href="profile.php?user=<?php echo urlencode ($outerrow['usrname']);?>"><?php echo w_html_chars($outerrow['usrname']);?></a>
		| <b><?php echo $langop_install_title2;?>:</b> <?php echo nifty2_convert($outerrow['title']);?> 
<?php

		// Time
		if ($outerrow['edittime'] > 10 ) {
			$edit_s = ceil ($outerrow['edittime'] % 60);
			$edit_m = ceil ($outerrow['edittime'] / 60 % 60);
			$edit_h = ceil ($outerrow['edittime'] / 3600 % 60);

			if ($edit_h)
				$edit_s = 0;

			$edit_out = '';
			if ($edit_h)
				$edit_out .= "{$edit_h}h ";
			if ($edit_m)
				$edit_out .= "{$edit_m}m ";
			if ($edit_s)
				$edit_out .= "{$edit_s}s ";
		} else {
			$edit_out = $langop_word_unknown;
		}
		echo "		| <b>{$langop_word_time}:</b> {$edit_out}\n";


		// Delete Picture
		if ($flags['admin']) {
?>
		[<a href="delconf.php?mode=dela&amp;picno=<?php echo $outerrow['PIC_ID']?>"><?php echo $langop_word_delete;?></a>]
<?php
		} elseif ($OekakiU == $outerrow['usrname']) {
?>
		[<a href="delconf.php?mode=del&amp;picno=<?php echo $outerrow['PIC_ID']?>"><?php echo $langop_word_delete;?></a>]
<?php
		}

		// Admin functions
		if ($flags['admin']) {

			// Lock
			if ($outerrow['threadlock'] != 0) {
?>
		[<a href="functions.php?mode=unlock&amp;picno=<?php echo $outerrow['PIC_ID']?><?php echo $pic_redirect;?>"><?php echo $langop_word_unlock;?></a>]
<?php
			} else {
?>
		[<a href="functions.php?mode=lock&amp;picno=<?php echo $outerrow['PIC_ID']?><?php echo $pic_redirect;?>"><?php echo $langop_word_lock;?></a>]
<?php
			}

			// Archive
?>
		[<a href="functions.php?picid=<?php echo $outerrow['PIC_ID']?><?php echo $pic_redirect;?>&amp;mode=archive"><?php
			if ($outerrow['archive'] == '0') {
				echo $langop_word_archive;
			} else {
				echo $langop_word_unarchive;
			} ?></a>]
<?php

			// Bump
?>
		[<a href="functions.php?mode=bump&amp;resno=<?php echo $outerrow['PIC_ID'];?>"><?php echo $langop_word_bump;?></a>]
<?php
		}

		// Block 18+
		if ($flags['admin'] || $OekakiU == $outerrow['usrname']) {
			if ($outerrow['adult'] == 0) {
?>
		[<a href="functions.php?mode=block&amp;picno=<?php echo $outerrow['PIC_ID']?><?php echo $pic_redirect;?>"><?php echo $langop_word_18plus;?></a>]
<?php
			} else {
?>
		[<a href="functions.php?mode=unblock&amp;picno=<?php echo $outerrow['PIC_ID']?><?php echo $pic_redirect;?>"><?php echo $langop_word_un18;?></a>]
<?php
			}
		}

		// Thumbnail
		if ($flags['admin']) {
?>
		[<a href="functions.php?mode=make_thumb&amp;picno=<?php echo $outerrow['PIC_ID']?><?php echo $pic_redirect;?>"><?php echo $langop_word_thumb;?></a>]
<?php
		}
?>
	</td>
	</tr>

<?php
		/*
			PICTURE RENDINGING CODE

			This is complex.

			To improve browsing visibility and reduce bandwidth, we do three things:  use thumbnails when available for large images, scale large images down if no thumbnail is available/practical, and use vertical layout for wide images so comments don't get squashed (if member has not specified a layout).

			If thumbnail support is on, a ttype (thumbnail) is always made unless the source picture is less than 15K.  ttypes are used mostly for speeding up load times on menus and when in uniformity mode, but also substitute a missing rtype if the filesize is large.

			rtypes (reduced previews) are made if a file is too large, either in filesize or dimmentions.  rtypes are *always* used if the filesize is large, and sometimes used if the layout demands it.

			When the display mode is automatic, vertical layout is only used if not using an rtype/ttype.

			VARS:

			$_GLOBALS['thumbDisplay']: 0=none, 1=layout, 2=scaled, 3=uniform
			$use_thumbnail: 0=no, 1=rtype, 2=ttype
			$use_scaling  : 0=no, >0=scale_in_pixels

			$_GLOBALS['display']: 0=auto, 1=horizontal, 2=vertical
			$this_row_display   : 0=horizontal, 1=vertical

			TRUTH TABLE:

			td=thumbDisplay value
			h=horizontal, v=vertical
			R=rtype thumbnail, T=ttype thumbnail

			     Picture type  | td=0 | td=1 | td=2 | td=3 |
			-------------------+------+------+------+------+
			           Normal  |  Nh  |  Nh  |  Nh  |  Th  |
			   Large Filesize  |  Rh  |  Rh  |  Rh  |  Th  |
			       > Comments  |  Nv  |  Nv  |  Rh  |  Th  |
			         > Screen  |  Rh  |  Rh  |  Rh  |  Th  |
		*/

		$use_thumbnail = 0;
		$use_scaling   = 0;
		$have_r = (!empty ($outerrow['rtype'])) ? 1 : 0;
		$have_t = (!empty ($outerrow['ttype'])) ? 1 : 0;
		$bandwidth = (!empty ($outerrow['usethumb'])) ? 1 : 0;


		// Set H/V mode to default
		$this_row_display = ($display == 2) ? 1 : 0;

		// Choose thumbnail and layout
		if ($thumbDisplay == 3) {
			// Uniformity mode always uses ttype, H mode
			$use_thumbnail = 2;
			$this_row_display = 0;

			// No thumbnail?
			if (!$have_t) {
				if ($have_r) {
					$use_thumbnail = 1;
				} else {
					$use_thumbnail = 0;
					$use_scaling = $cfg['thumb_t'];
				}
			}
		} else {
			if ($bandwidth && ($have_r || $have_t)) {
				// Always use thumbnail if avail
				$use_thumbnail = 1;

				if (!$have_r) {
					$use_thumbnail = 2;
				}
			} else {
				// Bandwidth OK, or we don't have a thumbnail

				// Check width of picture
				if ($outerrow['px'] > ($screensize - 60)) {
					// Width too large for screen?
					if ($have_r) {
						$use_thumbnail = 1;
					} else {
						$use_thumbnail = 0;
						$use_scaling = $cfg['thumb_r'];
					}
				} elseif ($outerrow['px'] > ($screensize - 400)) {
					// Width too large for comments?
					// For 800x600, a picture larger than 400px is too big
					if ($thumbDisplay == 2 && $have_r) {
						// Scaled mode, use thumbnail
						$use_thumbnail = 1;
					} else {
						// Non-scaled, use V layout
						$use_thumbnail = 0;
						$this_row_display = 1;
					}
				}
			}

			// How about user overrides?
			// Layout override works with all modes but uniformity
			if ($display > 0) {
				$this_row_display = ($display == 2) ? 1 : 0;
			}
		}
		// At this point we know thumbnail, layout is valid


		// Put our selections together
		{
			$master_image    = $p_pic.$outerrow['PIC_ID'].'.'.$outerrow['ptype'];
			$thumbnail_image = $master_image;

			if ($use_thumbnail == 2) {
				$thumbnail_image = $t_pic.$outerrow['PIC_ID'].'.'.$outerrow['ttype'];
			} elseif ($use_thumbnail == 1) {
				$thumbnail_image = $r_pic.$outerrow['PIC_ID'].'.'.$outerrow['rtype'];
			}


			// Get longest side of picture
			if ($outerrow['py'] > $outerrow['px']) {
				$long_mode  = 1;
				$long_side  = $outerrow['py'];
				$short_side = $outerrow['px'];
			} else {
				$long_mode  = 0;
				$long_side  = $outerrow['px'];
				$short_side = $outerrow['py'];
			}

			// Set scaling
			$scale_size = '';
			if ($use_scaling && ($long_side > $use_scaling)) {
				// No thumbnail.  Scale it.
				if ($long_mode == 1) {
					// Vertical
					$scale_size = 'height="'.$use_scaling.'"';
				} else {
					// Horizontal
					$scale_size = 'width="'.$use_scaling.'"';
				}
			}
		}

		// Datatype
		$applet_mode = '';
		if ($outerrow['datatype'] == '0') {
			$applet_mode = $langop_word_paintbbs;
		}
		elseif ($outerrow['datatype'] == '1') {
			$applet_mode = $langop_word_oekakibbs;
		}
		elseif ($outerrow['datatype'] == '2') {
			$applet_mode = $langop_word_shipainter;
		}
		elseif ($outerrow['datatype'] == '3') {
			$applet_mode = $langop_word_shipainterpro;
		}
		elseif ($outerrow['datatype'] == '4') {
			$applet_mode = 'Chibi Paint';
		}
?>
	<tr>
	<td width="5%" height="197" valign="top">
		<div align="center">
			<font size="-1">
<?php
		// Print image
		if (!$flags['X'] && $outerrow['adult'] == 1) {
			echo "				<img src=\"{$cfg['porn_img']}\" alt=\"Pic #{$outerrow['PIC_ID']}\" title=\"Pic #{$outerrow['PIC_ID']}\" /><br />\n";
		} else {
			echo "				<a href=\"{$master_image}\"><img src=\"{$thumbnail_image}\" {$scale_size} alt=\"Pic #{$outerrow['PIC_ID']}\" title=\"Pic #{$outerrow['PIC_ID']}\" style=\"border-width: 1px;\" /></a><br />\n";
		}

		if ($use_thumbnail && $thumbDisplay != 3 && $flags['X']) {
			echo "				{$langop_enlarge}<br />\n";
		}

		// Datatype (Chibi Paint hack)
?>
				<br />
				<?php echo $applet_mode ?> 
				<br />
<?php


		if ($outerrow['animation'] == '1' && $outerrow['datatype'] != 4) {
			switch ($outerrow['datatype']) {
				case '0':
				case '2':
				case '3':
				$viewani_size = array (75 , 175);
				break;

				case '1':
				$viewani_size = array (100, 185);
				break;
			}

			if (!$flags['X'] && $outerrow['adult'] == 1) {
?>
				[<?php echo $langop_word_animated;?>]<br />
<?php
			} else {
				// NOTE: Use ID_2, not PIC_ID for $resno
?>
				[<a href="#" onclick="openWindow('viewani.php?recno=<?php echo $outerrow['ID_2']?>', '<?php echo $outerrow['px'] + $viewani_size[0];?>', '<?php echo $outerrow['py'] + $viewani_size[1];?>'); return false"><?php echo $langop_viewani_title;?></a>]<br />
<?php
			}
		}

		if ($outerrow['archive'] == '1') {
			echo "				($langop_word_archived)<br />";
		}
		if ($outerrow['adult'] != 0 && $flags['X']) {
			echo "				({$langop_word_adult})<br />\n";
		}
		if ($outerrow['threadlock'] != 0) {
			echo "				<br />\n				<strong>({$langop_tlocked})</strong><br />\n";
		}
?>
			</font>
		</div>
	</td>
<?php

		// Display control
		if ($this_row_display == 0) {
?>
	<td width="95%" valign="top">
		<table <?php if (!empty($cWidth)) {echo "width=\"{$cWidth}\" ";}?>border="0" <?php if (!empty($cCellPadding)) {echo "cellpadding=\"{$cCellPadding}\" ";}?>cellspacing="0">
<?php
		} elseif ($this_row_display == 1) {
?>
	</tr>

	<tr>
	<td valign="top">
		<table width="100%" border="0" <?php if (!empty($cCellPadding)) {echo "cellpadding=\"{$cCellPadding}\" ";}?>cellspacing="0">
<?php
		}
?>
		<tr>
		<td class="commenttitle">
			<b><a onclick="openWindow('profile.php?user=<?php echo urlencode($outerrow['usrname']);?>', 400, 600); return false" href="profile.php?user=<?php echo urlencode($outerrow['usrname']);?>"><?php echo w_html_chars($outerrow['usrname']);?></a> @ <font color="<?php echo $dStamp;?>"><?php echo date($datef['post_header'], strtotime($outerrow['postdate']));?></font></b>
<?php
		// Edit pic
		if ($flags['admin'] || $outerrow['usrname'] == $OekakiU) {
			?>
			[<a href="editpic.php?picno=<?php echo $outerrow['PIC_ID']?>"><?php echo $langop_word_edit;?></a>]
<?php
		}
?>
		</td>
		</tr>

		<tr>
		<td class="commentpost">
<?php
		// Avatar
		$avatar = '';
		$ava_sql = '';
		if ($cfg['use_avatars'] == 'yes' && strtolower ($OekakiU) != 'screenshot') {
			$ava_sql = db_query ("SELECT avatar FROM {$db_mem}oekaki WHERE usrname='{$outerrow['usrname']}'");
			if ($ava_sql && db_num_rows ($ava_sql) > 0)
				$avatar = db_result ($ava_sql, 0);
		}
		if (!empty ($avatar)) {
?>
			<table class="commentpost" style="border: 0;">
			<tr>
			<td valign="top" style="padding-top: 0; padding-bottom: 0; margin-top: 0; margin-bottom: 0;">
				<img src="<?php echo $cfg['avatar_folder'].'/'.$avatar;?>" alt="avatar" /><br />
			</td>
			<td valign="top" width="100%">
<?php
		}
		if (!empty ($outerrow['comment'])) {
			?>
			<?php echo nifty2_convert($outerrow['comment']); ?> 
<?php
		} else {
			?>
			<small>&hellip;</small>
<?php
		}
		if ($avatar) { ?>
			</td>
			</tr>
			</table>
<?php
		}
?>
		</td>
		</tr>
		</table>
		<br />

<?php
		// Comments
		$result2 = db_query ("SELECT * FROM {$db_p}oekakicmt WHERE PIC_ID = '{$outerrow['PIC_ID']}' ORDER BY postdate ASC");
		$rownum2 = db_num_rows ($result2);

		$i2 = 0;
		while ($i2 < $rownum2) {
			// Get DB results, one row at a time.
			$innerrow = db_fetch_array ($result2);

?>
		<table <?php if (!empty($cWidth)) {echo "width=\"{$cWidth}\" ";}?>border="0" <?php if (!empty($cCellPadding)) {echo "cellpadding=\"{$cCellPadding}\" ";}?>cellspacing="0">
		<tr>
		<td class="commenttitle">
<?php
			if ($innerrow['usrname'] == 'Guest') {
				// Only reg members can see e-mails
				// E-mails are set here only if a guest, so don't bother with 'email_show'
				if (!empty ($OekakiU) && !empty ($innerrow['email'])) {
?>
			<b><i><a href="mailto:<?php echo email_code($innerrow['email'], TRUE); ?>"><?php echo w_html_chars($stupid_guest.$innerrow['postname']);?></a></i></b>
<?php
				} else {
?>
			<b><i><?php echo w_html_chars($stupid_guest.$innerrow['postname']);?></i></b>
<?php
				}
			} else {
?>
			<b><a onclick="openWindow('profile.php?user=<?php echo urlencode($innerrow['usrname']);?>', 400, 600); return false" href="profile.php?user=<?php echo urlencode($innerrow['usrname']);?>"><?php echo w_html_chars($stupid_name.$innerrow['usrname']);?></a></b>
<?php
			}
			// Print homepage only if available
			if (strlen ($innerrow['url']) > 8){
?>
			- <i><a href="<?php echo w_html_chars($innerrow['url']);?>">[<?php echo $langop_word_homepage;?>]</a></i>
<?php
			}
?>
			@ <font color="<?php echo $dStamp;?>"><?php echo date($datef['post_header'], strtotime($innerrow['postdate']));?></font>
<?php
			// Print Guest IP/Host
			if ($flags['admin'] && $innerrow['usrname'] == 'Guest') {
?>
			[<acronym title="<?php echo $innerrow['IP'].' / '.$innerrow['hostname']?>">IP &amp; host</acronym>]
<?php
			}

			// Edit/Delete comment
			if ($innerrow['usrname'] == $OekakiU || $flags['admin']) {
?>
			[<a href="editcomm.php?id_3=<?php echo $innerrow['ID_3']?>"><?php echo $langop_word_edit;?></a>]
<?php
				// Confirm
				if (defined ('DISABLE_CMT_DEL_CONF') && DISABLE_CMT_DEL_CONF) {
					// No
?>
			[<a href="functions.php?mode=udelcmt&amp;cmtno=<?php echo $innerrow['ID_3']?>"><?php echo $langop_word_delete;?></a>]
<?php
				} else {
					// Yes
					$my_pageno = '';
					if ($pageno) {
						$my_pageno = "&amp;page={$pageno}";
					}
?>
			[<a href="delconf.php?cmtno=<?php echo $innerrow['ID_3'].$my_pageno;?>&amp;post=<?php echo $outerrow['PIC_ID'];?>"><?php echo $langop_word_delete;?></a>]
<?php
				}
			}
?>
		</td>
		</tr>

		<tr>
		<td class="commentpost">
<?php
		// Avatar
		$avatar = '';
		$ava_sql = '';
		if ($cfg['use_c_avatars'] == 'yes' && $cfg['use_avatars'] == 'yes' && $innerrow['usrname'] != 'Guest' && strtolower ($OekakiU) != 'screenshot') {
			$ava_sql = db_query ("SELECT avatar FROM {$db_mem}oekaki WHERE usrname='{$innerrow['usrname']}'");
			if ($ava_sql && db_num_rows ($ava_sql) > 0)
				$avatar = db_result ($ava_sql, 0);
		}
		if (!empty ($avatar)) {
?>
			<table class="commentpost" style="border: 0;">
			<tr>
			<td valign="top" style="padding-top: 0; padding-bottom: 0; margin-top: 0; margin-bottom: 0;">
				<img src="<?php echo $cfg['avatar_folder'].'/'.$avatar;?>" alt="avatar" /><br />
			</td>
			<td valign="top" width="100%">
<?php
		}
		if (!empty ($innerrow['comment'])) {
?>
			<?php echo nifty2_convert($innerrow['comment']); ?> 
<?php
		} else {
			?>
			<small>...</small>
<?php
		}
		if ($avatar) { ?>
			</td>
			</tr>
			</table>
<?php
		}
?>
		</td>
		</tr>
		</table>
		<br />

<?php
			$i2++;
		}
?>
	</td>
	</tr>
	</table>
	<br />

<?php
	}

} // END MAIN LOOP



?>
	<br />
	<div class="infotable" style="text-align: center; margin: auto;">
		<a name="pagebottom"></a>
		<?php echo $page_numbers_formatted; ?>
	</div>
</div>
<br />

<?php include ('footer.php'); ?>